package common;

/**
 * ClientInterface interface
 * 
 * @author Tinsae Ghilay
 *
 */
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

public interface ServerInterface extends Remote {

    void registerClient(String clientId, ClientInterface client) throws RemoteException;

    void sendMessage(String fromId, String toId, String message) throws RemoteException;

    void blockClient(String clientId, String blockedId) throws RemoteException;

    List<String> getOfflineMessages(String clientId) throws RemoteException;

}
